Skip to main content
DELETE
/
ai-agents
/
agent-builder
/
knowledge-base
/
website
/
{uniqueId}
Delete Website
curl --request DELETE \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{uniqueId} \
  --header 'apikey: <api-key>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{uniqueId}"

headers = {"apikey": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{uniqueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "File and all associated data deleted successfully",
  "data": {
    "uniqueId": "website-uuid-123",
    "deletedFromAgents": true,
    "vectorsDeleted": true,
    "s3FileDeleted": true
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Path Parameters

uniqueId
string
required

Unique website crawl ID to delete

Response

200 - application/json

Website and all associated data deleted successfully

success
boolean
Example:

true

message
string
Example:

"Website and all associated data deleted successfully"

data
object